JWT_SECRET_KEY=secret

# 2 days
JWT_EXPIRES_IN=172800000

# in hours
RESET_TOKEN_EXPIRES=1

# reset password front end app url
RESET_PASSWORD_URL='http://localhost:3000/auth/reset-password/'

# verify email front end app url
VERIFY_EMAIL_URL='http://localhost:3000/auth/verify-email/'

# resend verify email front end app url
RESEND_VERIFY_URL='http://localhost:3000/auth/resend-verify-email/'

# mongo db atlas cloud connection
MONGODB_URI='mongodb+srv://<username>:<password>@cluster0.ujx9pep.mongodb.net/<db-name>?retryWrites=true&w=majority'
MONGODB_USERNAME='ramanath'
MONGODB_PASSWORD='wF0lpdEhwJhEU4dy'
MONGODB_DB='job-portal'

# react / vue app URL
FRONTEND_URL='http://localhost:3000'

# react / vue app domain
FRONTEND_DOMAIN = localhost

# mail config
MAIL_HOST='smtp.mailtrap.io'
MAIL_PORT=2525
MAIL_USERNAME='69b383c8d5c229'
MAIL_PASSWORD='65467259fc3ac6'
MAIL_FROM='"Ramanath Mandal" <ramanath.mandal@codeclouds.co.in>'

# file upload directory
MULTER_DEST='./public/uploads'
# max file size 2mb in bytes
MAX_FILE_SIZE=2097152

# server upload path
SERVER_UPLOAD_PATH='http://localhost:3000/uploads'

